Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.afp
Class AFPRenderingContext

    java.lang.Object
      org.apache.fop.render.AbstractRenderingContext
          org.apache.fop.render.afp.AFPRenderingContext

All Implemented Interfaces:
  RenderingContext

public class AFPRenderingContext
extends AbstractRenderingContext

Rendering context for AFP (MO:DCA) production.

Constructor Summary
`AFPRenderingContext(FOUserAgent userAgent, AFPResourceManager resourceManager, AFPPaintingState paintingState, FontInfo fontInfo, java.util.Map foreignAttributes)` Main constructor.

Method Summary
`FontInfo` | `getFontInfo()` Returns the font list.
`java.util.Map` | `getForeignAttributes()` Returns a Map of foreign attributes.
`java.lang.String` | `getMimeType()` Returns the MIME type associated with the current output format.
`AFPPaintingState` | `getPaintingState()`
`AFPResourceManager` | `getResourceManager()` Returns the resource manager.

Methods inherited from class org.apache.fop.render.AbstractRenderingContext
`getHint, getHints, getUserAgent, putHint, putHints`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AFPRenderingContext

    public AFPRenderingContext(FOUserAgent userAgent,
                               AFPResourceManager resourceManager,
                               AFPPaintingState paintingState,
                               FontInfo fontInfo,
                               java.util.Map foreignAttributes)

  Main constructor.

Parameters:
  `userAgent` - the user agent
  `resourceManager` - the resource manager
  `fontInfo` - the font list
  `foreignAttributes` - a map of foreign attributes

Method Detail

### getMimeType

    public java.lang.String getMimeType()

  Returns the MIME type associated with the current output format.

  Returns:
    the MIME type (ex. application/pdf)

### getResourceManager

    public AFPResourceManager getResourceManager()

  Returns the resource manager.

  Returns:
    the resource manager

### getPaintingState

    public AFPPaintingState getPaintingState()

### getFontInfo

    public FontInfo getFontInfo()

  Returns the font list.

  Returns:
    the font list

### getForeignAttributes

    public java.util.Map getForeignAttributes()

  Returns a Map of foreign attributes.

  Returns:
    the foreign attributes (Map<QName, Object>)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.